diff -crBPN --exclude=wp-config.php --exclude=wordpress.sql --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=htaccess-dist --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.6.pl /home/packages/code/qi/SOURCES/wordpress-3.5.2/wp-admin/includes/revision.php /home/packages/code/qi/SOURCES/wordpress-3.6/wp-admin/includes/revision.php
*** /home/packages/code/qi/SOURCES/wordpress-3.5.2/wp-admin/includes/revision.php	1969-12-31 18:00:00.000000000 -0600
--- /home/packages/code/qi/SOURCES/wordpress-3.6/wp-admin/includes/revision.php	2013-07-29 12:53:58.000000000 -0500
***************
*** 0 ****
--- 1,209 ----
+ <?php
+ /**
+  * WordPress Administration Revisions API.
+  *
+  * @package WordPress
+  * @subpackage Administration
+  */
+ 
+ /**
+  * Get the revision UI diff.
+  *
+  * @since 3.6.0
+  *
+  * @param object $post The post object.
+  * @param int $compare_from The revision id to compare from.
+  * @param int $compare_to The revision id to come to.
+  *
+  * @return array|bool Associative array of a post's revisioned fields and their diffs.
+  * 	Or, false on failure.
+  */
+ function wp_get_revision_ui_diff( $post, $compare_from, $compare_to ) {
+ 	if ( ! $post = get_post( $post ) )
+ 		return false;
+ 
+ 	if ( $compare_from ) {
+ 		if ( ! $compare_from = get_post( $compare_from ) )
+ 			return false;
+ 	} else {
+ 		// If we're dealing with the first revision...
+ 		$compare_from = false;
+ 	}
+ 
+ 	if ( ! $compare_to = get_post( $compare_to ) )
+ 		return false;
+ 
+ 	// If comparing revisions, make sure we're dealing with the right post parent.
+ 	// The parent post may be a 'revision' when revisions are disabled and we're looking at autosaves.
+ 	if ( $compare_from && $compare_from->post_parent !== $post->ID && $compare_from->ID !== $post->ID )
+ 		return false;
+ 	if ( $compare_to->post_parent !== $post->ID && $compare_to->ID !== $post->ID )
+ 		return false;
+ 
+ 	if ( $compare_from && strtotime( $compare_from->post_date_gmt ) > strtotime( $compare_to->post_date_gmt ) ) {
+ 		$temp = $compare_from;
+ 		$compare_from = $compare_to;
+ 		$compare_to = $temp;
+ 	}
+ 
+ 	// Add default title if title field is empty
+ 	if ( $compare_from && empty( $compare_from->post_title ) )
+ 		$compare_from->post_title = __( '(no title)' );
+ 	if ( empty( $compare_to->post_title ) )
+ 		$compare_to->post_title = __( '(no title)' );
+ 
+ 	$return = array();
+ 
+ 	foreach ( _wp_post_revision_fields() as $field => $name ) {
+ 		$content_from = $compare_from ? apply_filters( "_wp_post_revision_field_$field", $compare_from->$field, $field, $compare_from, 'from' ) : '';
+ 		$content_to = apply_filters( "_wp_post_revision_field_$field", $compare_to->$field, $field, $compare_to, 'to' );
+ 
+ 		$diff = wp_text_diff( $content_from, $content_to, array( 'show_split_view' => true ) );
+ 
+ 		if ( ! $diff && 'post_title' === $field ) {
+ 			// It's a better user experience to still show the Title, even if it didn't change.
+ 			// No, you didn't see this.
+ 			$diff = '<table class="diff"><colgroup><col class="content diffsplit left"><col class="content diffsplit middle"><col class="content diffsplit right"></colgroup><tbody><tr>';
+ 			$diff .= '<td>' . esc_html( $compare_from->post_title ) . '</td><td></td><td>' . esc_html( $compare_to->post_title ) . '</td>';
+ 			$diff .= '</tr></tbody>';
+ 			$diff .= '</table>';
+ 		}
+ 
+ 		if ( $diff ) {
+ 			$return[] = array(
+ 				'id' => $field,
+ 				'name' => $name,
+ 				'diff' => $diff,
+ 			);
+ 		}
+ 	}
+ 	return $return;
+ }
+ 
+ /**
+  * Prepare revisions for JavaScript.
+  *
+  * @since 3.6.0
+  *
+  * @param object $post The post object.
+  * @param int $selected_revision_id The selected revision id.
+  * @param int $from (optional) The revision id to compare from.
+  *
+  * @return array An associative array of revision data and related settings.
+  */
+ function wp_prepare_revisions_for_js( $post, $selected_revision_id, $from = null ) {
+ 	$post = get_post( $post );
+ 	$revisions = $authors = array();
+ 	$now_gmt = time();
+ 
+ 	$revisions = wp_get_post_revisions( $post->ID, array( 'order' => 'ASC', 'check_enabled' => false ) );
+ 	// If revisions are disabled, we only want autosaves and the current post.
+ 	if ( ! wp_revisions_enabled( $post ) ) {
+ 		foreach ( $revisions as $revision_id => $revision ) {
+ 			if ( ! wp_is_post_autosave( $revision ) )
+ 				unset( $revisions[ $revision_id ] );
+ 		}
+ 		$revisions = array( $post->ID => $post ) + $revisions;
+ 	}
+ 
+ 	$show_avatars = get_option( 'show_avatars' );
+ 
+ 	cache_users( wp_list_pluck( $revisions, 'post_author' ) );
+ 
+ 	$can_restore = current_user_can( 'edit_post', $post->ID );
+ 
+ 	foreach ( $revisions as $revision ) {
+ 		$modified = strtotime( $revision->post_modified );
+ 		$modified_gmt = strtotime( $revision->post_modified_gmt );
+ 		if ( $can_restore ) {
+ 			$restore_link = str_replace( '&amp;', '&', wp_nonce_url(
+ 				add_query_arg(
+ 					array( 'revision' => $revision->ID,
+ 						'action' => 'restore' ),
+ 						admin_url( 'revision.php' )
+ 				),
+ 				"restore-post_{$revision->ID}"
+ 			) );
+ 		}
+ 
+ 		if ( ! isset( $authors[ $revision->post_author ] ) ) {
+ 			$authors[ $revision->post_author ] = array(
+ 				'id' => (int) $revision->post_author,
+ 				'avatar' => $show_avatars ? get_avatar( $revision->post_author, 32 ) : '',
+ 				'name' => get_the_author_meta( 'display_name', $revision->post_author ),
+ 			);
+ 		}
+ 
+ 		$autosave = (bool) wp_is_post_autosave( $revision );
+ 		$current = ! $autosave && $revision->post_modified_gmt === $post->post_modified_gmt;
+ 		if ( $current && ! empty( $current_id ) ) {
+ 			// If multiple revisions have the same post_modified_gmt, highest ID is current.
+ 			if ( $current_id < $revision->ID ) {
+ 				$revisions[ $current_id ]['current'] = false;
+ 				$current_id = $revision->ID;
+ 			} else {
+ 				$current = false;
+ 			}
+ 		} elseif ( $current ) {
+ 			$current_id = $revision->ID;
+ 		}
+ 
+ 		$revisions[ $revision->ID ] = array(
+ 			'id'         => $revision->ID,
+ 			'title'      => get_the_title( $post->ID ),
+ 			'author'     => $authors[ $revision->post_author ],
+ 			'date'       => date_i18n( __( 'M j, Y @ G:i' ), $modified ),
+ 			'dateShort'  => date_i18n( _x( 'j M @ G:i', 'revision date short format' ), $modified ),
+ 			'timeAgo'    => sprintf( __( '%s ago' ), human_time_diff( $modified_gmt, $now_gmt ) ),
+ 			'autosave'   => $autosave,
+ 			'current'    => $current,
+ 			'restoreUrl' => $can_restore ? $restore_link : false,
+ 		);
+ 	}
+ 
+ 	// If a post has been saved since the last revision (no revisioned fields were changed)
+ 	// we may not have a "current" revision. Mark the latest revision as "current".
+ 	if ( empty( $current_id ) ) {
+ 		if ( $revisions[ $revision->ID ]['autosave'] ) {
+ 			$revision = end( $revisions );
+ 			while ( $revision['autosave'] ) {
+ 				$revision = prev( $revisions );
+ 			}
+ 			$current_id = $revision['id'];
+ 		} else {
+ 			$current_id = $revision->ID;
+ 		}
+ 		$revisions[ $current_id ]['current'] = true;
+ 	}
+ 
+ 	// Now, grab the initial diff
+ 	$compare_two_mode = is_numeric( $from );
+ 	if ( ! $compare_two_mode ) {
+ 		$found = array_search( $selected_revision_id, array_keys( $revisions ) );
+ 		if ( $found ) {
+ 			$from = array_keys( array_slice( $revisions, $found - 1, 1, true ) );
+ 			$from = reset( $from );
+ 		} else {
+ 			$from = 0;
+ 		}
+ 	}
+ 
+ 	$from = absint( $from );
+ 
+ 	$diffs = array( array(
+ 		'id' => $from . ':' . $selected_revision_id,
+ 		'fields' => wp_get_revision_ui_diff( $post->ID, $from, $selected_revision_id ),
+ 	));
+ 
+ 	return array(
+ 		'postId'           => $post->ID,
+ 		'nonce'            => wp_create_nonce( 'revisions-ajax-nonce' ),
+ 		'revisionData'     => array_values( $revisions ),
+ 		'to'               => $selected_revision_id,
+ 		'from'             => $from,
+ 		'diffData'         => $diffs,
+ 		'baseUrl'          => parse_url( admin_url( 'revision.php' ), PHP_URL_PATH ),
+ 		'compareTwoMode'   => absint( $compare_two_mode ), // Apparently booleans are not allowed
+ 		'revisionIds'      => array_keys( $revisions ),
+ 	);
+ }
diff -crBPN --exclude=wp-config.php --exclude=wordpress.sql --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=htaccess-dist --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.6.pl /home/packages/code/qi/SOURCES/wordpress-3.5.2/wp-admin/includes/schema.php /home/packages/code/qi/SOURCES/wordpress-3.6/wp-admin/includes/schema.php
*** /home/packages/code/qi/SOURCES/wordpress-3.5.2/wp-admin/includes/schema.php	2013-06-19 03:08:04.000000000 -0500
--- /home/packages/code/qi/SOURCES/wordpress-3.6/wp-admin/includes/schema.php	2013-07-09 14:14:33.000000000 -0500
***************
*** 494,500 ****
  	// Set autoload to no for these options
  	$fat_options = array( 'moderation_keys', 'recently_edited', 'blacklist_keys', 'uninstall_plugins' );
  
! 	$existing_options = $wpdb->get_col("SELECT option_name FROM $wpdb->options");
  
  	$insert = '';
  	foreach ( $options as $option => $value ) {
--- 494,501 ----
  	// Set autoload to no for these options
  	$fat_options = array( 'moderation_keys', 'recently_edited', 'blacklist_keys', 'uninstall_plugins' );
  
! 	$keys = "'" . implode( "', '", array_keys( $options ) ) . "'";
! 	$existing_options = $wpdb->get_col( "SELECT option_name FROM $wpdb->options WHERE option_name in ( $keys )" );
  
  	$insert = '';
  	foreach ( $options as $option => $value ) {
***************
*** 505,517 ****
  		else
  			$autoload = 'yes';
  
- 		$option = $wpdb->escape($option);
  		if ( is_array($value) )
  			$value = serialize($value);
- 		$value = $wpdb->escape($value);
  		if ( !empty($insert) )
  			$insert .= ', ';
! 		$insert .= "('$option', '$value', '$autoload')";
  	}
  
  	if ( !empty($insert) )
--- 506,516 ----
  		else
  			$autoload = 'yes';
  
  		if ( is_array($value) )
  			$value = serialize($value);
  		if ( !empty($insert) )
  			$insert .= ', ';
! 		$insert .= $wpdb->prepare( "(%s, %s, %s)", $option, $value, $autoload );
  	}
  
  	if ( !empty($insert) )
***************
*** 588,594 ****
  	add_role('subscriber', 'Subscriber');
  
  	// Add caps for Administrator role
! 	$role =& get_role('administrator');
  	$role->add_cap('switch_themes');
  	$role->add_cap('edit_themes');
  	$role->add_cap('activate_plugins');
--- 587,593 ----
  	add_role('subscriber', 'Subscriber');
  
  	// Add caps for Administrator role
! 	$role = get_role('administrator');
  	$role->add_cap('switch_themes');
  	$role->add_cap('edit_themes');
  	$role->add_cap('activate_plugins');
***************
*** 621,627 ****
  	$role->add_cap('level_0');
  
  	// Add caps for Editor role
! 	$role =& get_role('editor');
  	$role->add_cap('moderate_comments');
  	$role->add_cap('manage_categories');
  	$role->add_cap('manage_links');
--- 620,626 ----
  	$role->add_cap('level_0');
  
  	// Add caps for Editor role
! 	$role = get_role('editor');
  	$role->add_cap('moderate_comments');
  	$role->add_cap('manage_categories');
  	$role->add_cap('manage_links');
***************
*** 643,649 ****
  	$role->add_cap('level_0');
  
  	// Add caps for Author role
! 	$role =& get_role('author');
  	$role->add_cap('upload_files');
  	$role->add_cap('edit_posts');
  	$role->add_cap('edit_published_posts');
--- 642,648 ----
  	$role->add_cap('level_0');
  
  	// Add caps for Author role
! 	$role = get_role('author');
  	$role->add_cap('upload_files');
  	$role->add_cap('edit_posts');
  	$role->add_cap('edit_published_posts');
***************
*** 654,667 ****
  	$role->add_cap('level_0');
  
  	// Add caps for Contributor role
! 	$role =& get_role('contributor');
  	$role->add_cap('edit_posts');
  	$role->add_cap('read');
  	$role->add_cap('level_1');
  	$role->add_cap('level_0');
  
  	// Add caps for Subscriber role
! 	$role =& get_role('subscriber');
  	$role->add_cap('read');
  	$role->add_cap('level_0');
  }
--- 653,666 ----
  	$role->add_cap('level_0');
  
  	// Add caps for Contributor role
! 	$role = get_role('contributor');
  	$role->add_cap('edit_posts');
  	$role->add_cap('read');
  	$role->add_cap('level_1');
  	$role->add_cap('level_0');
  
  	// Add caps for Subscriber role
! 	$role = get_role('subscriber');
  	$role->add_cap('read');
  	$role->add_cap('level_0');
  }
***************
*** 674,680 ****
  function populate_roles_210() {
  	$roles = array('administrator', 'editor');
  	foreach ($roles as $role) {
! 		$role =& get_role($role);
  		if ( empty($role) )
  			continue;
  
--- 673,679 ----
  function populate_roles_210() {
  	$roles = array('administrator', 'editor');
  	foreach ($roles as $role) {
! 		$role = get_role($role);
  		if ( empty($role) )
  			continue;
  
***************
*** 695,713 ****
  		$role->add_cap('read_private_pages');
  	}
  
! 	$role =& get_role('administrator');
  	if ( ! empty($role) ) {
  		$role->add_cap('delete_users');
  		$role->add_cap('create_users');
  	}
  
! 	$role =& get_role('author');
  	if ( ! empty($role) ) {
  		$role->add_cap('delete_posts');
  		$role->add_cap('delete_published_posts');
  	}
  
! 	$role =& get_role('contributor');
  	if ( ! empty($role) ) {
  		$role->add_cap('delete_posts');
  	}
--- 694,712 ----
  		$role->add_cap('read_private_pages');
  	}
  
! 	$role = get_role('administrator');
  	if ( ! empty($role) ) {
  		$role->add_cap('delete_users');
  		$role->add_cap('create_users');
  	}
  
! 	$role = get_role('author');
  	if ( ! empty($role) ) {
  		$role->add_cap('delete_posts');
  		$role->add_cap('delete_published_posts');
  	}
  
! 	$role = get_role('contributor');
  	if ( ! empty($role) ) {
  		$role->add_cap('delete_posts');
  	}
***************
*** 719,725 ****
   * @since 2.3.0
   */
  function populate_roles_230() {
! 	$role =& get_role( 'administrator' );
  
  	if ( !empty( $role ) ) {
  		$role->add_cap( 'unfiltered_upload' );
--- 718,724 ----
   * @since 2.3.0
   */
  function populate_roles_230() {
! 	$role = get_role( 'administrator' );
  
  	if ( !empty( $role ) ) {
  		$role->add_cap( 'unfiltered_upload' );
***************
*** 732,738 ****
   * @since 2.5.0
   */
  function populate_roles_250() {
! 	$role =& get_role( 'administrator' );
  
  	if ( !empty( $role ) ) {
  		$role->add_cap( 'edit_dashboard' );
--- 731,737 ----
   * @since 2.5.0
   */
  function populate_roles_250() {
! 	$role = get_role( 'administrator' );
  
  	if ( !empty( $role ) ) {
  		$role->add_cap( 'edit_dashboard' );
***************
*** 745,751 ****
   * @since 2.6.0
   */
  function populate_roles_260() {
! 	$role =& get_role( 'administrator' );
  
  	if ( !empty( $role ) ) {
  		$role->add_cap( 'update_plugins' );
--- 744,750 ----
   * @since 2.6.0
   */
  function populate_roles_260() {
! 	$role = get_role( 'administrator' );
  
  	if ( !empty( $role ) ) {
  		$role->add_cap( 'update_plugins' );
***************
*** 759,765 ****
   * @since 2.7.0
   */
  function populate_roles_270() {
! 	$role =& get_role( 'administrator' );
  
  	if ( !empty( $role ) ) {
  		$role->add_cap( 'install_plugins' );
--- 758,764 ----
   * @since 2.7.0
   */
  function populate_roles_270() {
! 	$role = get_role( 'administrator' );
  
  	if ( !empty( $role ) ) {
  		$role->add_cap( 'install_plugins' );
***************
*** 773,779 ****
   * @since 2.8.0
   */
  function populate_roles_280() {
! 	$role =& get_role( 'administrator' );
  
  	if ( !empty( $role ) ) {
  		$role->add_cap( 'install_themes' );
--- 772,778 ----
   * @since 2.8.0
   */
  function populate_roles_280() {
! 	$role = get_role( 'administrator' );
  
  	if ( !empty( $role ) ) {
  		$role->add_cap( 'install_themes' );
***************
*** 786,792 ****
   * @since 3.0.0
   */
  function populate_roles_300() {
! 	$role =& get_role( 'administrator' );
  
  	if ( !empty( $role ) ) {
  		$role->add_cap( 'update_core' );
--- 785,791 ----
   * @since 3.0.0
   */
  function populate_roles_300() {
! 	$role = get_role( 'administrator' );
  
  	if ( !empty( $role ) ) {
  		$role->add_cap( 'update_core' );
***************
*** 921,933 ****
  
  	$insert = '';
  	foreach ( $sitemeta as $meta_key => $meta_value ) {
- 		$meta_key = $wpdb->escape( $meta_key );
  		if ( is_array( $meta_value ) )
  			$meta_value = serialize( $meta_value );
- 		$meta_value = $wpdb->escape( $meta_value );
  		if ( !empty( $insert ) )
  			$insert .= ', ';
! 		$insert .= "( $network_id, '$meta_key', '$meta_value')";
  	}
  	$wpdb->query( "INSERT INTO $wpdb->sitemeta ( site_id, meta_key, meta_value ) VALUES " . $insert );
  
--- 920,930 ----
  
  	$insert = '';
  	foreach ( $sitemeta as $meta_key => $meta_value ) {
  		if ( is_array( $meta_value ) )
  			$meta_value = serialize( $meta_value );
  		if ( !empty( $insert ) )
  			$insert .= ', ';
! 		$insert .= $wpdb->prepare( "( %d, %s, %s)", $network_id, $meta_key, $meta_value );
  	}
  	$wpdb->query( "INSERT INTO $wpdb->sitemeta ( site_id, meta_key, meta_value ) VALUES " . $insert );
  
diff -crBPN --exclude=wp-config.php --exclude=wordpress.sql --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=htaccess-dist --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.6.pl /home/packages/code/qi/SOURCES/wordpress-3.5.2/wp-admin/includes/screen.php /home/packages/code/qi/SOURCES/wordpress-3.6/wp-admin/includes/screen.php
*** /home/packages/code/qi/SOURCES/wordpress-3.5.2/wp-admin/includes/screen.php	2012-09-26 14:44:43.000000000 -0500
--- /home/packages/code/qi/SOURCES/wordpress-3.6/wp-admin/includes/screen.php	2013-06-06 09:45:25.000000000 -0500
***************
*** 142,147 ****
--- 142,148 ----
   *
   * @since 3.2.0
   *
+  * @global $post_ID
   * @param string|WP_Screen $screen Optional. Accepts a screen object (and defaults to the current screen object)
   * 	which it uses to determine an icon HTML ID. Or, if a string is provided, it is used to form the icon HTML ID.
   * @return string HTML for the screen icon.
***************
*** 319,338 ****
  
  	/**
  	 * The help tab data associated with the screen, if any.
!  	 *
!  	 * @since 3.3.0
!  	 * @var array
!  	 * @access private
!  	 */
  	private $_help_tabs = array();
  
!  	/**
  	 * The help sidebar data associated with screen, if any.
  	 *
  	 * @since 3.3.0
  	 * @var string
  	 * @access private
!  	 */
  	private $_help_sidebar = '';
  
  	/**
--- 320,339 ----
  
  	/**
  	 * The help tab data associated with the screen, if any.
! 	 *
! 	 * @since 3.3.0
! 	 * @var array
! 	 * @access private
! 	 */
  	private $_help_tabs = array();
  
! 	/**
  	 * The help sidebar data associated with screen, if any.
  	 *
  	 * @since 3.3.0
  	 * @var string
  	 * @access private
! 	 */
  	private $_help_sidebar = '';
  
  	/**
***************
*** 376,391 ****
  	 */
  	private $_screen_settings;
  
!  	/**
  	 * Fetches a screen object.
!  	 *
!  	 * @since 3.3.0
  	 * @access public
!  	 *
  	 * @param string $hook_name Optional. The hook name (also known as the hook suffix) used to determine the screen.
  	 * 	Defaults to the current $hook_suffix global.
  	 * @return WP_Screen Screen object.
!  	 */
  	public static function get( $hook_name = '' ) {
  
  		if ( is_a( $hook_name, 'WP_Screen' ) )
--- 377,392 ----
  	 */
  	private $_screen_settings;
  
! 	/**
  	 * Fetches a screen object.
! 	 *
! 	 * @since 3.3.0
  	 * @access public
! 	 *
  	 * @param string $hook_name Optional. The hook name (also known as the hook suffix) used to determine the screen.
  	 * 	Defaults to the current $hook_suffix global.
  	 * @return WP_Screen Screen object.
! 	 */
  	public static function get( $hook_name = '' ) {
  
  		if ( is_a( $hook_name, 'WP_Screen' ) )
***************
*** 427,439 ****
  			if ( 'edit-comments' != $id && 'edit-tags' != $id && 'edit-' == substr( $id, 0, 5 ) ) {
  				$maybe = substr( $id, 5 );
  				if ( taxonomy_exists( $maybe ) ) {
!  					$id = 'edit-tags';
  					$taxonomy = $maybe;
  				} elseif ( post_type_exists( $maybe ) ) {
  					$id = 'edit';
  					$post_type = $maybe;
  				}
!  			}
  
  			if ( ! $in_admin )
  				$in_admin = 'site';
--- 428,440 ----
  			if ( 'edit-comments' != $id && 'edit-tags' != $id && 'edit-' == substr( $id, 0, 5 ) ) {
  				$maybe = substr( $id, 5 );
  				if ( taxonomy_exists( $maybe ) ) {
! 					$id = 'edit-tags';
  					$taxonomy = $maybe;
  				} elseif ( post_type_exists( $maybe ) ) {
  					$id = 'edit';
  					$post_type = $maybe;
  				}
! 			}
  
  			if ( ! $in_admin )
  				$in_admin = 'site';
***************
*** 480,486 ****
  						$post_type = 'post';
  					break;
  			}
!  		}
  
  		switch ( $base ) {
  			case 'post' :
--- 481,487 ----
  						$post_type = 'post';
  					break;
  			}
! 		}
  
  		switch ( $base ) {
  			case 'post' :
***************
*** 513,519 ****
  		} elseif ( 'user' == $in_admin ) {
  			$id   .= '-user';
  			$base .= '-user';
!  		}
  
  		if ( isset( self::$_registry[ $id ] ) ) {
  			$screen = self::$_registry[ $id ];
--- 514,520 ----
  		} elseif ( 'user' == $in_admin ) {
  			$id   .= '-user';
  			$base .= '-user';
! 		}
  
  		if ( isset( self::$_registry[ $id ] ) ) {
  			$screen = self::$_registry[ $id ];
***************
*** 535,541 ****
  		self::$_registry[ $id ] = $screen;
  
  		return $screen;
!  	}
  
  	/**
  	 * Makes the screen object the current screen.
--- 536,542 ----
  		self::$_registry[ $id ] = $screen;
  
  		return $screen;
! 	}
  
  	/**
  	 * Makes the screen object the current screen.
***************
*** 898,911 ****
  
  		$show_screen = ! empty( $wp_meta_boxes[ $this->id ] ) || $columns || $this->get_option( 'per_page' );
  
- 		$this->_screen_settings = apply_filters( 'screen_settings', '', $this );
- 
  		switch ( $this->id ) {
  			case 'widgets':
  				$this->_screen_settings = '<p><a id="access-on" href="widgets.php?widgets-access=on">' . __('Enable accessibility mode') . '</a><a id="access-off" href="widgets.php?widgets-access=off">' . __('Disable accessibility mode') . "</a></p>\n";
  				break;
  		}
  
  		if ( $this->_screen_settings || $this->_options )
  			$show_screen = true;
  
--- 899,915 ----
  
  		$show_screen = ! empty( $wp_meta_boxes[ $this->id ] ) || $columns || $this->get_option( 'per_page' );
  
  		switch ( $this->id ) {
  			case 'widgets':
  				$this->_screen_settings = '<p><a id="access-on" href="widgets.php?widgets-access=on">' . __('Enable accessibility mode') . '</a><a id="access-off" href="widgets.php?widgets-access=off">' . __('Disable accessibility mode') . "</a></p>\n";
  				break;
+ 			default:
+ 				$this->_screen_settings = '';
+ 				break;
  		}
  
+ 		$this->_screen_settings = apply_filters( 'screen_settings', $this->_screen_settings, $this );
+ 
  		if ( $this->_screen_settings || $this->_options )
  			$show_screen = true;
  
***************
*** 923,928 ****
--- 927,933 ----
  
  		$columns = get_column_headers( $this );
  		$hidden  = get_hidden_columns( $this );
+ 		$post    = get_post();
  
  		?>
  		<div id="screen-options-wrap" class="hidden" tabindex="-1" aria-label="<?php esc_attr_e('Screen Options Tab'); ?>">
diff -crBPN --exclude=wp-config.php --exclude=wordpress.sql --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=htaccess-dist --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.6.pl /home/packages/code/qi/SOURCES/wordpress-3.5.2/wp-admin/includes/taxonomy.php /home/packages/code/qi/SOURCES/wordpress-3.6/wp-admin/includes/taxonomy.php
*** /home/packages/code/qi/SOURCES/wordpress-3.5.2/wp-admin/includes/taxonomy.php	2012-01-04 16:44:19.000000000 -0600
--- /home/packages/code/qi/SOURCES/wordpress-3.6/wp-admin/includes/taxonomy.php	2013-03-01 11:00:25.000000000 -0600
***************
*** 158,164 ****
  	$category = get_category($cat_ID, ARRAY_A);
  
  	// Escape data pulled from DB.
! 	$category = add_magic_quotes($category);
  
  	// Merge old and new fields with new fields overwriting old ones.
  	$catarr = array_merge($category, $catarr);
--- 158,164 ----
  	$category = get_category($cat_ID, ARRAY_A);
  
  	// Escape data pulled from DB.
! 	$category = wp_slash($category);
  
  	// Merge old and new fields with new fields overwriting old ones.
  	$catarr = array_merge($category, $catarr);
